List

Lists Tive shipments with filtering, sorting, and pagination. Scoped to the caller’s organization. | authz: min_org_role=operator | () -> (TiveShipmentListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenum or nullOptional
Field to sort by
Allowed values:
sort_orderenum or nullOptional

Sort order (asc or desc)

Allowed values:
pageinteger or nullOptional>=1Defaults to 1
page_sizeinteger or nullOptional1-100Defaults to 20
filter_tive_device_object_idstring or nullOptional
Filter by Tive device object ID
filter_tive_shipment_idstring or nullOptional

Filter by Tive shipment ID (exact match)

filter_chrt_created_at_timestamp_gtedatetime or nullOptional

Filter by chrt_created_at_timestamp >= value

filter_chrt_created_at_timestamp_ltedatetime or nullOptional

Filter by chrt_created_at_timestamp <= value

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Shipments List V1request Unprocessable Entity Error